> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artificialstudio.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tool Details

> Get information about a specific AI tool, including its available models and parameters.

Get information about a tool, including its available models.

### Headers

| Name | Type | Required | Description |
| - | - | - | - |
| `Authorization` | string | Yes | Your API key |

### Path Parameters

| Parameter | Type | Description |
| - | - | - |
| `slug` | string | The tool identifier |

### Response Fields

| Field | Type | Description |
| - | - | - |
| `slug` | string | Tool identifier |
| `name` | string | Display name |
| `description` | string | Tool description |
| `type` | string | Tool category |
| `outputType` | string | Output media type |
| `thumbnail` | string | Tool thumbnail URL |
| `models` | array | Available models |
| `models[].slug` | string | Model identifier (use in `input.model`) |
| `models[].name` | string | Model display name |

<RequestExample>
  ```bash bash theme={null}
  curl https://api.artificialstudio.ai/api/tools/create-image \
    -H "Authorization: YOUR_API_KEY"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.artificialstudio.ai/api/tools/create-image',
    { headers: { 'Authorization': 'YOUR_API_KEY' } }
  );

  const tool = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      'https://api.artificialstudio.ai/api/tools/create-image',
      headers={'Authorization': 'YOUR_API_KEY'}
  )

  tool = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "slug": "create-image",
    "name": "Create Image",
    "description": "Generate images from text prompts",
    "type": "image",
    "outputType": "image",
    "thumbnail": "https://...",
    "models": [
      {
        "slug": "nano-banana",
        "name": "Nano Banana"
      },
      {
        "slug": "flux-2-flex",
        "name": "FLUX 2 Flex"
      }
    ]
  }
  ```

  ```json 401 theme={null}
  {
    "message": "Invalid or missing API key"
  }
  ```

  ```json 404 theme={null}
  {
    "message": "Tool not found"
  }
  ```

  ```json 429 theme={null}
  {
    "message": "Too many API requests, please try again later"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.